Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.EntrySetIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractIteratorDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.EntrySetIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  AbstractDualBidiMap

    protected static class AbstractDualBidiMap.EntrySetIterator

extends AbstractIteratorDecorator

Inner class EntrySetIterator.

Field Summary
`protected boolean` | `canRemove` Whether remove is allowed at present
`protected java.util.Map.Entry` | `last` The last returned entry
`protected AbstractDualBidiMap` | `parent` The parent map

Fields inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`iterator`

Constructor Summary
`protected` | `AbstractDualBidiMap.EntrySetIterator(java.util.Iterator iterator, AbstractDualBidiMap parent)` Constructor.

Method Summary
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`getIterator, hasNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

### last

    protected java.util.Map.Entry last

  The last returned entry

### canRemove

    protected boolean canRemove

  Whether remove is allowed at present

Constructor Detail

### AbstractDualBidiMap.EntrySetIterator

    protected AbstractDualBidiMap.EntrySetIterator(java.util.Iterator iterator,
                                                   AbstractDualBidiMap parent)

  Constructor.

  Parameters:
    `iterator` - the iterator to decorate
    `parent` - the parent map

Method Detail

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `AbstractIteratorDecorator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Overrides:
    `remove` in class `AbstractIteratorDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.